/*
============================================================================
 Name        : HelloworldDocument.cpp
 Author      : Frank Fitzek And Morten V. Pedseren
 Copyright   : Mobile Devices Team - AAU
 Description : CHelloworldDocument implementation
============================================================================
*/

// INCLUDE FILES
#include "HelloworldDocument.h"
#include "HelloworldAppui.h"

// ================= MEMBER FUNCTIONS =======================

// constructor
CHelloworldDocument::CHelloworldDocument(CEikApplication& aApp)
: CAknDocument(aApp)
    {
    }

// destructor
CHelloworldDocument::~CHelloworldDocument()
    {
    }

// EPOC default constructor can leave.
void CHelloworldDocument::ConstructL()
    {
    }

// Two-phased constructor.
CHelloworldDocument* CHelloworldDocument::NewL(
        CEikApplication& aApp)     // CHelloworldApp reference
    {
    CHelloworldDocument* self = new (ELeave) CHelloworldDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
    }

// ----------------------------------------------------
// CHelloworldDocument::CreateAppUiL()
// constructs CHelloworldAppUi
// ----------------------------------------------------
//
CEikAppUi* CHelloworldDocument::CreateAppUiL()
    {
    return new (ELeave) CHelloworldAppUi;
    }


